import React from "react";
import ReactDom from "react-dom";
import ReactDiffViewer from "react-diff-viewer";

export default ReactDiffViewer;

export function createDiffViewer(container) {
  return {
    render(props) {
      ReactDom.render(
        <ReactDiffViewer {...props}></ReactDiffViewer>,
        container
      );
    },
    unmount() {
      ReactDom.unmountComponentAtNode(container);
    },
  };
}
